import { ElementRef, EventEmitter, OnChanges, OnDestroy, SimpleChanges } from '@angular/core';
import { SpinnerOptions } from 'spin.js';
export declare class NgxSpinjsComponent implements OnDestroy, OnChanges {
    private element;
    /**
     * backdrop
     */
    backdrop: boolean;
    /**
     * options to merge
     */
    options: SpinnerOptions;
    /**
     * Spinner Active or not
     */
    toggleSpinner: boolean;
    /**
     * Spin Update Event
     */
    spinUpdate: EventEmitter<boolean>;
    /**
     * Controls visibility via
     * style.display
     */
    show: boolean;
    /**
     * Holds SpinJS
     */
    private spinner;
    constructor(element: ElementRef);
    /**
     * Reset Spinner
     */
    ngOnDestroy(): void;
    /**
     * Build Spinner onInit
     * [toggleSpinner] boolean
     */
    ngOnChanges(changes: SimpleChanges): void;
    /**
     * Merge options [options]
     * Build Spinner
     */
    private initSpinner();
    /**
     * Show Spinner div
     * Start SpinJS
     * $emit update
     */
    private startSpin();
    /**
     * Hide Spinner div
     * Stop SpinJS
     * $emit update
     */
    private stopSpin();
}
